import { DMMF as PrismaDMMF } from "@prisma/client/runtime";
import { DMMF } from "./types";
import { DmmfDocument } from "./dmmf-document";
import { GeneratorOptions } from "../options";
export declare function transformSchema(datamodel: PrismaDMMF.Schema, dmmfDocument: DmmfDocument): Omit<DMMF.Schema, "enums">;
export declare function transformMappings(mapping: PrismaDMMF.ModelMapping[], dmmfDocument: DmmfDocument, options: GeneratorOptions): DMMF.ModelMapping[];
export declare function transformBareModel(model: PrismaDMMF.Model): DMMF.Model;
export declare function transformModelWithFields(dmmfDocument: DmmfDocument): (model: PrismaDMMF.Model) => DMMF.Model;
export declare function getMappedOutputTypeName(dmmfDocument: DmmfDocument, outputTypeName: string): string;
export declare function transformEnums(dmmfDocument: DmmfDocument): (enumDef: PrismaDMMF.DatamodelEnum | PrismaDMMF.SchemaEnum) => DMMF.Enum;
export declare function generateRelationModel(dmmfDocument: DmmfDocument): (model: DMMF.Model) => DMMF.RelationModel;
